#!/bin/sh
export PATH='/usr/obj/ports/hs-hashed-storage-0.5.11/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/local/bin:/usr/X11R6/bin'
echo 'name: hashed-storage
version: 0.5.11
id: hashed-storage-0.5.11-7faae7d80ee2811594b88e77bdf44e4e

license: BSD3
copyright: 2009 Petr Rockai <me@mornfall.net>
maintainer: Petr Rockai <me@mornfall.net>
stability:
homepage:
package-url:
synopsis: Hashed file storage support code.
description: Support code for reading and manipulating hashed file storage
             (where each file and directory is associated with a
             cryptographic hash, for corruption-resistant storage and fast
             comparisons).
             .
             The supported storage formats include darcs hashed pristine, a
             plain filesystem tree and an indexed plain tree (where the index
             maintains hashes of the plain files and directories).
category: System
author: Petr Rockai <me@mornfall.net>
pkgpath: devel/hs-hashed-storage
exposed: True
exposed-modules: Storage.Hashed Storage.Hashed.AnchoredPath
                 Storage.Hashed.Index Storage.Hashed.Monad Storage.Hashed.Tree
                 Storage.Hashed.Hash Storage.Hashed.Packed Storage.Hashed.Plain
                 Storage.Hashed.Darcs
hidden-modules: Bundled.Posix Bundled.SHA256 Storage.Hashed.Utils
trusted: False
import-dirs: /usr/local/lib/ghc/hashed-storage-0.5.11
library-dirs: /usr/local/lib/ghc/hashed-storage-0.5.11
hs-libraries: HShashed-storage-0.5.11
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: base-4.7.0.2-b11c3b9ddc2bebe1a3d85499c9ea3f18
         binary-0.7.1.0-51c13df071f01a4d350d8c70e434e5a4
         bytestring-0.10.4.0-c38ffa96fe2b16989b0dffe49eb81a0b
         containers-0.5.5.1-171870bb1335468dfd35b06f64ad39aa
         dataenc-0.14.0.7-9e64f3aed86cada77b9496feaeb77159
         directory-1.2.1.0-acb51d2e9efdef937837521da149abca
         extensible-exceptions-0.1.1.4-ff00541964e8b4f6fe7adae94cd5f3b4
         filepath-1.3.0.2-ad57a270fe2da52658ba86edd4ef358d
         mmap-0.5.8-360ef367318010aee16f4699c18020cc
         mtl-2.1.3.1-37f47084eacfb82b92e11a8c90d0ba72
         zlib-0.5.4.1-734295f9b034fe80efb86696b4b267d6
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/hs-hashed-storage-0.5.11/html/hashed-storage.haddock
haddock-html: /usr/local/share/doc/hs-hashed-storage-0.5.11/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
